Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Interface ExpectedTypeAwareNode

All Known Implementing Classes:
  BooleanLiteralNode, JavaConstantNode, ParameterNode

    public interface ExpectedTypeAwareNode

Interface for nodes which wish to be made aware of any determined "expected type" based on the context within they appear in the query.

Method Summary
`Type` | `getExpectedType()`
`void` | `setExpectedType(Type expectedType)`

Method Detail

### setExpectedType

    void setExpectedType(Type expectedType)

### getExpectedType

    Type getExpectedType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.